Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The UUID of the Telnyx account that owns the resource, for example f5586561-8ff0-4291-a51b-c7dfe4139ff9. The account_sid path segment is kept for Twilio API compatibility, but the value is a Telnyx account UUID, not a Twilio AC... SID. It must match the account that owns the API key used to authenticate the request, otherwise the endpoint returns 404. The same value is sent as AccountSid in TeXML webhooks.

Example:

"f5586561-8ff0-4291-a51b-c7dfe4139ff9"

recording_transcription_sid
string<uuid>
required

Uniquely identifies the recording transcription by id.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Response

Successful get Recording Transcription Response

account_sid
string
Example:

"61bf923e-5e4d-4595-a110-56190ea18a1b"

call_sid
string
Example:

"v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA"

api_version
string

The version of the API that was used to make the request.

Example:

"2010-04-01"

date_created
string<date-time>
Example:

"2023-08-11T19:12:11Z"

date_updated
string<date-time>
Example:

"2023-08-11T19:12:11Z"

duration
string | null

The duration of this recording, given in seconds.

Example:

"12"

sid
string

Identifier of a resource.

Example:

"e9cea0be-7dbd-4b98-98b1-c0089d9d43b0"

recording_sid
string

Identifier of a resource.

Example:

"e9cea0be-7dbd-4b98-98b1-c0089d9d43b0"

status
enum<string>

The status of the recording transcriptions. The transcription text will be available only when the status is completed.

Available options:
in-progress,
completed
Example:

"completed"

transcription_text
string

The recording's transcribed text

Example:

"Good morning, how may I help you?"

uri
string

The relative URI for the recording transcription resource.

Example:

"/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json"